co.aikar.commands

## Class SpongeConditionContext

- java.lang.Object
- - co.aikar.commands.ConditionContext<SpongeCommandIssuer>
  - - co.aikar.commands.SpongeConditionContext

    public class SpongeConditionContext
    extends co.aikar.commands.ConditionContext<SpongeCommandIssuer>

### Method Summary

All Methods Instance Methods Concrete Methods
`org.spongepowered.api.entity.living.player.Player` `getPlayer()`
`org.spongepowered.api.command.CommandSource` `getSource()`

### Methods inherited from class co.aikar.commands.ConditionContext

`getConfig, getConfigValue, getConfigValue, getIssuer, hasConfig`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getSource

    public org.spongepowered.api.command.CommandSource getSource()

#### getPlayer

    public org.spongepowered.api.entity.living.player.Player getPlayer()